require './spec/spec_helper'

RSpec.describe Saper::Items::JSON do
  context ".new(nil)" do
    it "raises InvalidItem" do
      expect { Saper::Items::JSON.new(nil) }.to raise_error Saper::InvalidItem
    end
  end
  context ".new('')" do
    it "raises InvalidItem" do
      expect { Saper::Items::JSON.new("") }.to raise_error Saper::InvalidItem
    end
  end
  context ".new(invalid String)" do
    it "raises InvalidItem" do
      expect { Saper::Items::JSON.new("not json") }.to raise_error Saper::InvalidItem
    end
  end
  context "#find" # TODO
  context "#find_all" # TODO
  context "#to_native" # TODO
  context "#to_s" # TODO
end
